---
version: '3.7'
services:
  db:
    image: mysql:5.7
    container_name: db
    expose:
      - 3306
    volumes:
      - db:/var/lib/mysql
    environment:
      - MYSQL_ROOT_HOST=%
      - MYSQL_ROOT_PASSWORD=password
      - MYSQL_DATABASE=fullstack
      - MYSQL_USER=user
      - MYSQL_PASSWORD=pass
  back:
     build:
       context: backend
       dockerfile: Dockerfile
     image: registry.gitlab.com/deus_taskbook/docker/backend:latest
     depends_on:
       - db
     container_name: back
     environment:
       SPRING_DATASOURCE_URL: jdbc:mysql://db:3306/fullstack
       SPRING_DATASOURCE_USERNAME: user
       SPRING_DATASOURCE_PASSWORD: pass
     restart: on-failure
  front:
    build:
      context: frontend
      dockerfile: Dockerfile
    image: registry.gitlab.com/deus_taskbook/docker/frontend:latest
    container_name: front
    restart: on-failure
  nginx:
    build:
      context: nginx
      dockerfile: Dockerfile
    image: registry.gitlab.com/deus_taskbook/docker/nginx:latest
    depends_on:
      - front
    #      - back
    container_name: nginx
    ports:
      - 80:80
      - 8080:8080
    restart: on-failure
  cadvisor:
     image: gcr.io/cadvisor/cadvisor:latest
     container_name: cadvisor
     ports:
       - 8090:8080
     volumes:
       - /:/rootfs:ro
       - /var/run:/var/run:rw
       - /sys:/sys:ro
       - /var/lib/docker/:/var/lib/docker:ro
  # docker run -p 9113:9113 nginx/nginx-prometheus-exporter -nginx.scrape-uri=http://172.17.0.1:80/stub_status
volumes:
  db:
